Package org.eclipse.emf.cdo.ui

## Class CDOEditorOpener.Default

- java.lang.Object
- - org.eclipse.emf.cdo.ui.CDOEditorOpener.Default

- All Implemented Interfaces:
    `CDOEditorOpener`
  Direct Known Subclasses:
    `CDOEditorOpener.Registry.EditorOpenerDescriptor`
  Enclosing interface:
    CDOEditorOpener

      public abstract static class CDOEditorOpener.Default
      extends java.lang.Object
      implements CDOEditorOpener

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.ui.CDOEditorOpener

      `CDOEditorOpener.Default, CDOEditorOpener.Registry`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.ui.CDOEditorOpener

      `DEFAULT_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Default()` |
    `Default​(java.lang.String id, java.lang.String name, ImageDescriptor icon, java.lang.String regex, int priority)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract IEditorPart` | `doOpenEditor​(IWorkbenchPage page, org.eclipse.emf.common.util.URI uri)` |
    `ImageDescriptor` | `getIcon()` |
    `java.lang.String` | `getID()` |
    `java.lang.String` | `getName()` |
    `int` | `getPriority()` | Returns the priority of this editor opener.
    `java.lang.String` | `getRegex()` | Returns the regular expression that determines if the editor opener can open a certain URI.
    `boolean` | `matchesRegex​(org.eclipse.emf.common.util.URI uri)` | Checks if the URI matches the regular expression of this editor opener.
    `IEditorPart` | `openEditor​(IWorkbenchPage page, org.eclipse.emf.common.util.URI uri)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Default

          public Default()

    - #### Default

          public Default​(java.lang.String id,
                         java.lang.String name,
                         ImageDescriptor icon,
                         java.lang.String regex,
                         int priority)

  - ### Method Detail

    - #### getID

          public java.lang.String getID()

      Specified by:
        `getID` in interface `CDOEditorOpener`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `CDOEditorOpener`

    - #### getIcon

          public ImageDescriptor getIcon()

      Specified by:
        `getIcon` in interface `CDOEditorOpener`

    - #### getPriority

          public final int getPriority()

      Description copied from interface: `CDOEditorOpener`
      Returns the priority of this editor opener. Usually used to choose between several editor openers that match the same repository URI.
      Specified by:
        `getPriority` in interface `CDOEditorOpener`

    - #### getRegex

          public final java.lang.String getRegex()

      Description copied from interface: `CDOEditorOpener`
      Returns the regular expression that determines if the editor opener can open a certain URI.
      Specified by:
        `getRegex` in interface `CDOEditorOpener`

    - #### matchesRegex

          public final boolean matchesRegex​(org.eclipse.emf.common.util.URI uri)

      Description copied from interface: `CDOEditorOpener`
      Checks if the URI matches the regular expression of this editor opener.
      Specified by:
        `matchesRegex` in interface `CDOEditorOpener`

    - #### openEditor

          public IEditorPart openEditor​(IWorkbenchPage page,
                                        org.eclipse.emf.common.util.URI uri)

      Specified by:
        `openEditor` in interface `CDOEditorOpener`

    - #### doOpenEditor

          protected abstract IEditorPart doOpenEditor​(IWorkbenchPage page,
                                                      org.eclipse.emf.common.util.URI uri)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`